import 'package:flutter/material.dart';
import 'package:ride/constant/style.dart';

import '../../constant/colors.dart';

class MyElevatedButton extends StatelessWidget {
  final String title;
  final VoidCallback onPressed;
  final Color kolor;
  const MyElevatedButton({
    Key? key,
    required this.title,
    required this.onPressed,
    this.kolor = AppColor.primaryColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ButtonStyle(
        backgroundColor: MaterialStateProperty.all(kolor),
      ),
      onPressed: onPressed,
      child: Text(
        title,
        style: AppStyle.title.copyWith(color: AppColor.secondaryColor),
      ),
    );
  }
}
